# std::unary_negate< _Predicate > Class Template Reference
[Negators]

One of the negation functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::unary_negate< _Predicate >:

[legend]
Collaboration diagram for std::unary_negate< _Predicate >:

[legend]
List of all members.

## Public Types

typedef _Predicate::argument_type | argument_type
| `argument_type` is the type of the argument (no surprises here)
typedef bool | result_type
| `result_type` is the return type

## Detailed Description

### template<class _Predicate>
class std::unary_negate< _Predicate >

One of the negation functors.

Definition at line 272 of file stl_function.h.

## Member Typedef Documentation

typedef _Predicate::argument_type std::unary_function< _Predicate::argument_type, bool >::argument_type`[inherited]`

| `argument_type` is the type of the argument (no surprises here) Definition at line 103 of file stl_function.h.

typedef bool std::unary_function< _Predicate::argument_type, bool >::result_type`[inherited]`

| `result_type` is the return type Definition at line 104 of file stl_function.h.

The documentation for this class was generated from the following file:

- stl_function.h